﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace PopupSample
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout popup;
        Entry entry;
        public MainPage()
        {
            InitializeComponent();
            popup = new SfPopupLayout();
            popup.PopupView.ContentTemplate = new DataTemplate(()=>
            {
                entry = new Entry();
                return entry;
            });
            popup.PopupView.AppearanceMode = AppearanceMode.OneButton;
            popup.PopupView.AcceptCommand = new AcceptButtonCustomCommand();
        }

        private void Button_Clicked_1(object sender, EventArgs e)
        {
            popup.Show(0,0);
        }
    }

    public class AcceptButtonCustomCommand : ICommand
    {
        public event EventHandler CanExecuteChanged;

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public void Execute(object parameter)
        {
            DependencyService.Get<IKeyBoard>().HideKeyboard();
        }
    }
}
